Name:           lostsky
Version:        1.0.0
Release:        %mkrel 2
Summary:        Story of a Lost Sky - Turn-based strategy RPG in the Touhou universe
Group:          Games/Strategy
License:        BSD
URL:            http://www.featheredmelody.com
# Repacked to convert music from MP3 to OGG
# https://bitbucket.org/featheredmelody/lost-sky-project-public/issue/85
Source0:        %{name}-%{version}.tar.xz
Source1:        %{name}-128.png
Source2:        %{name}-32.png
Source3:        %{name}-16.png
Patch0:         lostsky-1.0.0-mga-gamesdatadir-fonts.patch
Patch1:         lostsky-1.0.0-git-Saving-and-loading-does-not-work-correctly-on-linux.patch
Patch2:         lostsky-1.0.0-git-Added-a-program-icon-for-Lost-Sky.patch

BuildArch:      noarch
BuildRequires:  python-pygame
BuildRequires:  python-setuptools

%description
Story of a Lost Sky is a Turn Based Strategy RPG with a gameplay similar
to Fire Emblem. Units are placed on a tile map and each side takes turns
moving and attacking. Outside the battle map, the player is able to
customize their characters and equip new spells and traits.

%prep
%setup -q
%apply_patches

%build
%{__python} setup.py build

sed -i 's/0.9.0/%{version}/' setup.py

%install
%{__python} setup.py install --root=%{buildroot} --skip-build

mv %{buildroot}%{_bindir}/srpg.py %{buildroot}%{_bindir}/%{name}
mv %{buildroot}%{_bindir} %{buildroot}%{_gamesbindir}

for size in 16 32 128; do
    install -D -m644 %{_sourcedir}/%{name}-${size}.png \
            %{buildroot}%{_iconsdir}/hicolor/${size}x${size}/apps/%{name}.png
done

install -d %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Name=Story of a Lost Sky
Comment=Turn-based strategy RPG in the Touhou universe
GenericName=Strategy RPG
Exec=%{name}
Icon=%{name}
Type=Application
Categories=Game;RolePlaying;
EOF

%files
%{python_sitelib}/%{name}/
%{python_sitelib}/%{name}-%{version}-py%{pyver}.egg-info/
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Sat Feb 28 2015 akien <akien> 1.0.0-2.mga5
+ Revision: 817208
- Fix URL
- Fix the broken save game system on Linux
- Make use of the game icon as window icon

* Fri Feb 13 2015 akien <akien> 1.0.0-1.mga5
+ Revision: 814864
- imported package lostsky

